Module: selenium-webdriver/error
View Source

# class Error

    Error
      └ Error

Alias for `bot.Error`

Error extension that includes error status codes from the WebDriver wire protocol: http://code.google.com/p/selenium/wiki/JsonWireProtocol#Response_Status_Codes

## new Error(code, opt_message)

Parameters

code`number`

  The error's status code.

opt_message`string=`

  Optional error message.

## Instance Methods

### toString()code »

Returns

`string`

  The string representation of this error.

## Instance Properties

code `number`

  This error's status code.

isAutomationError `boolean`

  Flag used for duck-typing when this code is embedded in a Firefox extension. This is required since an Error thrown in one component and then reported to another will fail instanceof checks in the second component.

state `string`
  No description.

## Types

Error.State

  Status strings enumerated in the W3C WebDriver working draft.